spring.application.name=api-plataforma-avant
spring.threads.virtual.enabled=true

spring.datasource.url=jdbc:sqlserver://10.125.10.10:49699;trustServerCertificate=true
# spring.datasource.url=jdbc:sqlserver://localhost;trustServerCertificate=true
spring.datasource.hikari.catalog=AVANT_PLATAFORMA
# spring.datasource.hikari.catalog=AVANT_PLATAFORMA_TESTE
spring.datasource.username=api.plataforma
spring.datasource.password=xUVAqukequgUPruStus0E22mErEtre$RuTRuXagostuyAThU$eGEWLQIxemeseXi
spring.datasource.driverClassName=com.microsoft.sqlserver.jdbc.SQLServerDriver
# spring.datasource.tomcat.validation-query=SELECT 1
spring.datasource.hikari.connection-test-query=SELECT 1
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.max-lifetime=900000
spring.datasource.hikari.connectionTimeout=60000
spring.datasource.hikari.validation-timeout=60000

spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
spring.jpa.open-in-view=true

spring.servlet.multipart.enabled=true
spring.servlet.multipart.file-size-threshold=300MB
spring.servlet.multipart.max-file-size=200MB
spring.servlet.multipart.max-request-size=215MB

#spring.jpa.hibernate.ddl-auto=update
#spring.flyway.enabled=false

# spring.jpa.properties.hibernate.integration.envers.enabled=false
spring.jpa.properties.org.hibernate.envers.default_schema=dbo
spring.jpa.properties.org.hibernate.envers.default_catalog=AVANT_AUD
spring.jpa.properties.org.hibernate.envers.track_entities_changed_in_revision=true
spring.jpa.properties.org.hibernate.envers.global_with_modified_flag=true
spring.jpa.properties.org.hibernate.envers.store_data_at_delete=true
spring.jpa.properties.org.hibernate.envers.audit_strategy=org.hibernate.envers.strategy.DefaultAuditStrategy
spring.jpa.properties.org.hibernate.envers.audit_strategy_validity_store_revend_timestamp=true
spring.jpa.properties.org.hibernate.envers.revision_on_collection_change=false

# spring.jpa.properties.org.hibernate.enable_lazy_load_no_trans=true


spring.flyway.validate-on-migrate=false
# spring.flyway.ignore-ignored-migrations=true
# spring.flyway.baseline-on-migrate=true

spring.flyway.encoding=UTF-8

server.tomcat.connection-timeout=60s

server.compression.enabled=true
server.compression.min-response-size=2048
server.compression.mime-types=application/json,application/xml,application/pdf,text/html,text/xml,text/plain,application/javascript,text/css,image/jpeg

# --------------------------------------------------------------------------------------------------------------------------------------------
# ----------------------------------------------------------------- KEYCLOAK -----------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
spring.security.oauth2.resourceserver.jwt.issuer-uri=http://10.125.10.70:8080/realms/avant
spring.security.oauth2.resourceserver.jwt.jwk-set-uri=${spring.security.oauth2.resourceserver.jwt.issuer-uri}/protocol/openid-connect/certs

# --------------------------------------------------------------------------------------------------------------------------------------------
# ---------------------------------------------------------------- ACTUATOR ----------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
management.endpoints.web.exposure.include=health,info,prometheus
management.metrics.tags.application=${spring.application.name}
management.metrics.distribution.percentiles-histogram.http.server.requests=true
management.zipkin.tracing.endpoint=http://192.168.0.60:9411/api/v2/spans


# --------------------------------------------------------------------------------------------------------------------------------------------
# ------------------------------------------------------------------ LOGGING -----------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
logging.level.org.springframework.web=info
logging.level.org.hibernate=error
#logging.pattern.level=%5p [${spring.application.name:},%X{traceId:-},%X{spanId:-}]


# --------------------------------------------------------------------------------------------------------------------------------------------
# ---------------------------------------------------------------- NEW  RELIC ----------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
server.tomcat.mbeanregistry.enabled=true
# Desativado devido ao alto consumo de recursos

# --------------------------------------------------------------------------------------------------------------------------------------------
# ------------------------------------------------------- PERMITIR REFERENCIA CIRCULAR--------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
# spring.main.allow-circular-references=true

# --------------------------------------------------------------------------------------------------------------------------------------------
# ---------------------------------------------------------------- PROPERTIES ----------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
# spring.profiles.active=oauth-security

version=0.8.0
name=Api Avant
description=Api Principal da Avant

# SQL format Recomendado desabilitar
# spring.jpa.show-sql=true
# spring.jpa.properties.hibernate.format_sql=true

# --------------------------------------------------------------------------------------------------------------------------------------------
# ------------------------------------------------------------------ P6SPY -------------------------------------------------------------------
# --------------------------------------------------------------------------------------------------------------------------------------------
# SQL Spy recomendado desabilitar
# Register P6LogFactory to log JDBC events
decorator.datasource.p6spy.enable-logging=false

# Use com.p6spy.engine.spy.appender.MultiLineFormat instead of com.p6spy.engine.spy.appender.SingleLineFormat
# decorator.datasource.p6spy.multiline=true

server.port=443
server.ssl.enabled=true
server.ssl.key-store=/etc/ssl/keystore.p12
server.ssl.key-store-password=plfr36riv4co6eC49f*stl!eSp?8i_hl
server.ssl.keyStoreType=PKCS12
server.ssl.keyAlias=tomcat
server.ssl.protocol=TLSv1.2
server.ssl.ciphers=TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384,TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384,TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384,TLS_DHE_DSS_WITH_AES_256_CBC_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA,TLS_ECDH_RSA_WITH_AES_256_CBC_SHA,TLS_DHE_DSS_WITH_AES_256_CBC_SHA,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256,TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256,TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256,TLS_DHE_DSS_WITH_AES_128_CBC_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA,TLS_ECDH_RSA_WITH_AES_128_CBC_SHA,TLS_DHE_DSS_WITH_AES_128_CBC_SHA,TLS_ECDHE_ECDSA_WITH_RC4_128_SHA,TLS_ECDH_ECDSA_WITH_RC4_128_SHA,TLS_ECDH_RSA_WITH_RC4_128_SHA,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384,TLS_DHE_DSS_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256,TLS_DHE_DSS_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA,TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA,TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA,TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA,TLS_EMPTY_RENEGOTIATION_INFO_SCSVF
server.http2.enabled=true
